//Задача "Парад роботов"
//Шестая индивидуальная Интернет-олимпиада сезона 2009-2010.
//Автор задачи: Федор Царев, tsarev@rain.ifmo.ru
//Автор решения: Владимир Ульянцев, ulyantsev@rain.ifmo.ru

#include <iostream>
#include <cstdio>
using namespace std;

const int MAXN = 100000;

int main() {
    freopen("robots.in", "rt", stdin);
    freopen("robots.out", "wt", stdout);

    int n, k;
    scanf("%d %d", &n, &k);

    double x[MAXN], y[MAXN];
    double x_sum = 0, y_sum = 0;
    for (int i = 0; i < n; i++) {
        scanf("%lf %lf", &x[i], &y[i]);
        x_sum += x[i];
        y_sum += y[i];
    }

    for (int i = 0; i < k; i++) {
        double x_old = x[i], y_old = y[i];

        x[i] = x_sum / n;
        y[i] = y_sum / n;

        x_sum = x_sum * (n + 1) / n - x_old;
        y_sum = y_sum * (n + 1) / n - y_old;
    }

    printf("%.4lf %.4lf\n", x[k - 1], y[k - 1]);
    /*
    for (int i = 0; i < n; i++) {
        printf("%.4lf %.4lf\n", x[i], y[i]);
    }
    */
    return 0;
}
